/ api / name / gb.attach
GB.Attach
Syntax

    void GB.Attach ( void *object , void *parent , const char *name )

Defines the event observer of an object, i.e. the parent object that will receive all the events it will raise.

- object points at the object.
- parent points at the event observer.
- name is the prefix used for defining event handler names.

For example, if name is `"Form"` and the object raises the event `Close`, then the `Form_Close` method of the event observer will be called.

If the object already has an event observer, it is detached from it, and then attached to the new one.

### See also

Object Management Event Management